Bug 1410089 - /virt/install: guest installation doesn't respect method=http
Summary: /virt/install: guest installation doesn't respect method=http
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: tests
Version: 23
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 24.0
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 12:38 UTC by Jan Stancek
Modified: 2017-02-21 18:49 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-21 18:49:34 UTC


Attachments (Terms of Use)

Description Jan Stancek 2017-01-04 12:38:36 UTC
Description of problem:
guest recipe with ks_meta="method=http" correctly generates kickstart with http repos, but location passed to virt-install (via get_guest_info) is still nfs based. So if NFS is broken, method=http is not a viable workaround for guest recipes.

Expected results:
If "method" is specified in guest ks_meta attribute, then "location" should reflect this. For example: if ks_meta="method=http", then location should be set to http_location.

Or as alternative, /distribution/virt/install should check ks_meta and pick correct location.

I slightly prefer 2nd option at the moment, because updating just test would immediately provide us with a workaround.

Comment 2 Jan Stancek 2017-01-04 12:47:33 UTC
Proposed patch:
  https://gerrit.beaker-project.org/#/c/5566/

Comment 4 Dan Callaghan 2017-01-06 06:47:23 UTC
This patch fixes it on the Beaker side, which is probably a cleaner approach:

https://gerrit.beaker-project.org/5569

Comment 6 Dan Callaghan 2017-01-10 05:32:41 UTC
I think we can abandon https://gerrit.beaker-project.org/5566 and go with the Beaker-side fix, which is merged for 24.0. Jan, how does that sound to you?

Comment 7 Jan Stancek 2017-01-10 07:28:18 UTC
(In reply to Dan Callaghan from comment #6)
> I think we can abandon https://gerrit.beaker-project.org/5566 and go with
> the Beaker-side fix, which is merged for 24.0. Jan, how does that sound to
> you?

Sounds good, I abandoned it.

Comment 11 Dan Callaghan 2017-02-21 18:49:34 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.